package com.yida.data.school.secondClass.service;


import com.yida.data.common.core.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenue;
import com.yida.data.school.vo.secondClass.VenueH5ContentVO;
import com.yida.data.school.vo.secondClass.VenueVO;
import java.util.List;

/**
*  Service接口
*
* @author zhanghaijun
* @date 2022-04-18 09:39:53
*/
public interface EduSecondClassVenueService extends IService<EduSecondClassVenue> {

    /**
     * 分页查询场馆
     * @param name
     * @param pageNUm
     * @param pageSize
     * @return
     */
    IPage<VenueVO> listVenuePage(Long deptId,String name,Integer pageNUm,Integer pageSize);

    VenueVO getInfo(Long id,Boolean operateVisit);

    void  saveVenue(EduSecondClassVenue venue);

    void delVenue(Long id);

    /**
     * 查询场馆h5首页信息
     * @param deptId
     * @return
     */
    VenueH5ContentVO getHomeInfo(Long deptId);

    IPage<VenueVO> listVenuePageBySubject(Integer pageNum, Integer pageSize,Long subjectId);

    void changeStatus(Long id,Integer status,Long subjectId);
}
